// SetHeightDlg.cpp : implementation file
//

#include "stdafx.h"
#include "mapeditor.h"
#include "SetHeightDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetHeightDlg dialog


CSetHeightDlg::CSetHeightDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetHeightDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetHeightDlg)
	m_editBaseHeight = 0;
	m_editMaxHeight = 0;
	//}}AFX_DATA_INIT
}


void CSetHeightDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetHeightDlg)
	DDX_Text(pDX, IDC_EDIT_BASEHEIGHT, m_editBaseHeight);
	DDX_Text(pDX, IDC_EDIT_MAXHEIGHT, m_editMaxHeight);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSetHeightDlg, CDialog)
	//{{AFX_MSG_MAP(CSetHeightDlg)
	ON_EN_CHANGE(IDC_EDIT_BASEHEIGHT, OnChangeEditBaseheight)
	ON_EN_CHANGE(IDC_EDIT_MAXHEIGHT, OnChangeEditMaxheight)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSetHeightDlg message handlers

void CSetHeightDlg::OnChangeEditBaseheight() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	
}

void CSetHeightDlg::OnChangeEditMaxheight() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	
}
